Bug 620356 (CVE-2010-2794) - CVE-2010-2794 spice-xpi symlink attack
Summary: CVE-2010-2794 spice-xpi symlink attack
Status: CLOSED ERRATA
Alias: CVE-2010-2794
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20100825,reported=2...
Keywords: Security
Depends On: 550313 620445 620476
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-02 09:59 UTC by Petr Matousek
Modified: 2015-08-21 23:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 23:43:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0651 normal SHIPPED_LIVE Moderate: spice-xpi security and bug fix update 2010-08-25 12:11:57 UTC

Description Petr Matousek 2010-08-02 09:59:58 UTC
Spice-xpi uses predictable name for it's log file which a malicious user could use to overwrite arbitrary files via a symlink attack, with the privileges of the user running spice-xpi.

Comment 2 errata-xmlrpc 2010-08-25 12:12:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0651 https://rhn.redhat.com/errata/RHSA-2010-0651.html


Note You need to log in before you can comment on or make changes to this bug.